<meta http-equiv="content-type" content="text/html; charset=utf-8"/>
<meta name="viewport" content="width=device-width">
<%= output_title_and_meta_tags %>

<% relative_url_root = OpenProject::Configuration['rails_relative_url_root'] || '' %>
<meta name="app_base_path" content="<%= relative_url_root %>"/>
<base href="<%= relative_url_root %>/" />
<% if @project %>
  <meta name="current_project"
        data-project-name="<%= h @project.name %>"
        data-project-id="<%= @project.id %>"
        data-project-identifier="<%= @project.identifier %>"/>
<% end %>
<meta name="current_user"
      data-name="<%= User.current.name %>"
      data-logged-in="<%= User.current.logged? %>"
      data-id="<%= User.current.id %>"/>

<% if Setting.demo_projects_available %><meta name="demo_projects_available" content="true"/><% end %>
<% if Setting.boards_demo_data_available %><meta name="boards_demo_data_available" content="true"/><% end %>
<% if Setting.demo_view_of_type_team_planner_seeded %><meta name="demo_view_of_type_team_planner_seeded" content="true"/><% end %>
<%= csrf_meta_tags %>
<%= initializer_meta_tag %>

<!-- global meta hooks before any scripts are loaded-->
<%= call_hook :view_layouts_base_html_meta %>

<%= render 'common/favicons' %>

<%# Allow gon output when necessary %>
<%= include_gon(nonce: content_security_policy_script_nonce) %>

<%# Include CLI assets (development) or prod build assets %>
<%= include_frontend_assets %>

<%# Render CSS highlighting %>
<%= stylesheet_link_tag "/highlighting/styles/#{highlight_css_version_tag}",
                        media: :all,
                        skip_pipeline: true %>

<%# Custom styles %>
<%= render partial: "custom_styles/inline_css_logo" %>
<%= render partial: 'custom_styles/primer_color_mapping' %>
<% if apply_custom_styles? %>
  <% cache(CustomStyle.current) do %>
    <%= render partial: "custom_styles/inline_css" %>
    <% if CustomStyle.current.favicon.present? %>
      <link rel="icon" type="image/png" href="<%= custom_style_favicon_path(digest: CustomStyle.current.digest, filename: CustomStyle.current.favicon_identifier) %>" sizes="32x32">
    <% end %>
    <% if CustomStyle.current.touch_icon.present? %>
      <link rel="apple-touch-icon" sizes="180x180" href="<%= custom_style_touch_icon_path(digest: CustomStyle.current.digest, filename: CustomStyle.current.touch_icon_identifier) %>">
    <% end %>
  <% end %>
<% end %>
